package model

type FrozenSemenLog struct {
	Id            int64  `json:"id"`
	BullId        string `json:"bullId"`
	CowId         int64  `json:"cowId"`
	Quantity      int32  `json:"quantity"`
	MatingAt      int64  `json:"matingAt"`
	OperationId   int64  `json:"operationId"`
	OperationName string `json:"operationName"`
	Remarks       string `json:"remarks"`
	CreatedAt     int64  `json:"createdAt"`
	UpdatedAt     int64  `json:"updatedAt"`
}

func (e *FrozenSemenLog) TableName() string {
	return "frozen_semen_log"
}

type FrozenSemenItem struct {
	CowId         int64  `json:"cowId"`
	Quantity      int32  `json:"quantity"`
	MatingAt      int64  `json:"matingAt"`
	OperationId   int64  `json:"operationId"`
	OperationName string `json:"operationName"`
	BullId        string `json:"bullId"`
	Remarks       string `json:"remarks"`
}

func NewEventFrozenSemenLog(req *FrozenSemenItem) *FrozenSemenLog {
	return &FrozenSemenLog{
		BullId:        req.BullId,
		CowId:         req.CowId,
		OperationId:   req.OperationId,
		OperationName: req.OperationName,
		Quantity:      req.Quantity,
		MatingAt:      req.MatingAt,
		Remarks:       req.Remarks,
	}
}
